import { toHast } from "../../mdast-util-to-hast/lib/index.js";
function remarkRehype(t, n) {
	return t && "run" in t ? async function(r, i) {
		let a = toHast(r, {
			file: i,
			...n
		});
		await t.run(a, i);
	} : function(r, i) {
		return toHast(r, {
			file: i,
			...t || n
		});
	};
}
export { remarkRehype as default };
